Loading...
Searching...
No Matches
CLevelParserLine Class Reference

## Public Member Functions

| CLevelParserLine (int lineNumber, std::string command)
| CLevelParserLine (std::string command)
int | GetLineNumber ()
| Get line number.
CLevelParser * | GetLevel ()
| Get CLevelParser this line is part of.
void | SetLevel (CLevelParser *level)
| Set CLevelParser this line is part of.
const std::string & | GetLevelFilename ()
std::string | GetCommand ()
void | SetCommand (std::string command)
CLevelParserParam * | GetParam (std::string name)
void | AddParam (std::string name, CLevelParserParamUPtr value)

## Friends

std::ostream & | operator<< (std::ostream &str, const CLevelParserLine &line)

## Member Function Documentation

## GetLineNumber()

int CLevelParserLine::GetLineNumber | ( |  | ) |

Get line number.

## GetLevel()

CLevelParser * CLevelParserLine::GetLevel | ( |  | ) |

Get CLevelParser this line is part of.

## SetLevel()

void CLevelParserLine::SetLevel | ( | CLevelParser * | level | ) |

Set CLevelParser this line is part of.

The documentation for this class was generated from the following files:

- src/level/parser/parserline.h
- src/level/parser/parserline.cpp